<?php

class zadaniaC extends Controller
{

	function index ()
	{
		$check = Factory::getInstance('logowanie')->check();
		if ($check)
		{
			// edycja formularza
			$this->editForm();
		}
		else
		{
			// nowe zgloszenie
			$this->newForm();
		}
	}

	function edit ()
	{
		$check = Factory::getInstance('logowanie')->check();
		if (!$check)
		{
			$this->view->komunikat(i18n::WYLOGOWANY, 'red', ROOT . '/zadania');
		}
		else
		{
			$resp = $this->model->editForm();
			
			// echo '<pre>';print_r($resp);die('end');
			
			if (isset($resp['error']))
			{
				// $this->view->assign('resp', $resp);
				// info o userze
				$user = Factory::getInstance('user')->editUser();
				$resp['val']['user'] = $user['val'];
				
				// info o zadaniu
				$zadanie = $this->model->detailsBy($user['val']['id'], 'userId');
				 $resp['val']['zadanie'] = $zadanie;
				 
				
				$this->view->assign('resp', $resp);
				
				$this->view->assign('form', 'edit');
				$this->view->assign('include', $_GET['controller'] . '.new.tpl');
				$this->view->smarty();
			}
			else
			{
				$this->view->komunikat(i18n::ZADANIE_ZMIENIONE, 'green', ROOT . '/zadania');
			}
			
			// $this->editForm();
		}
	}

	function add ()
	{
		$check = Factory::getInstance('logowanie')->check();
		if ($check)
		{
			$this->view->komunikat('Jesteś już zalogowany', 'green', ROOT . '/zadania');
		}
		else
		{
			$resp = $this->model->add();
			// echo '<pre>';
			// print_r($resp);
			if (isset($resp['error']))
			{
				$this->view->assign('resp', $resp);
				$this->newForm();
			}
			else
			{
				// print_r($resp);
				$this->view->komunikat(i18n::DODANY_NOWY_USER, 'green', ROOT . '/zadania');
				// $this->editForm ();
			}
		}
	}

	/**
	 * formularz edycji - wypełniony
	 */
	function editForm ()
	{
		// info o userze
		$user = Factory::getInstance('user')->editUser();
		$resp['val']['user'] = $user['val'];
		
		// info o zadaniu
		$zadanie = $this->model->detailsBy($user['val']['id'], 'userId');
		$resp['val']['zadanie'] = $zadanie;
		
		$this->view->assign('resp', $resp);
		
		$this->view->assign('form', 'edit');
		$this->view->assign('include', $_GET['controller'] . '.new.tpl');
		$this->view->smarty();
	}

	function newForm ()
	{
		// info o userze
		$user = Factory::getInstance('user')->editUser();
		$resp['val']['user'] = $user['val'];
		$this->view->assign('resp', $resp);
		
		$this->view->assign('include', $_GET['controller'] . '.new.tpl');
		$this->view->smarty();
	}

	function getFile ()
	{
		$check = Factory::getInstance('logowanie')->check();
		if (!$check)
		{
			$this->view->komunikat(i18n::WYLOGOWANY, 'red', ROOT . '/zadania');
		}
		else
		{
			$this->model->getFile();
		}
	}

	function weryfikuj ()
	{
		$check = Factory::getInstance('logowanie')->check();
		if (!$check)
		{
			$this->view->komunikat(i18n::WYLOGOWANY, 'red', ROOT . '/zadania');
		}
		else
		{
			///
			$resp = $this->model->weryfikuj();
				
			//echo '<pre>';print_r($resp);die('end');
				
			if (isset($resp['error']))
			{
				// $this->view->assign('resp', $resp);
				// info o userze
				$user = Factory::getInstance('user')->editUser();
				$resp['val']['user'] = $user['val'];
			
				// info o zadaniu
				$zadanie = $this->model->detailsBy($user['val']['id'], 'userId');
				$resp['val']['zadanie'] = $zadanie;
					
			
				$this->view->assign('resp', $resp);
			
				$this->view->assign('form', 'edit');
				$this->view->assign('include', $_GET['controller'] . '.new.tpl');
				$this->view->smarty();
			}
			else
			{
				$this->view->komunikat(i18n::DO_WERYFIKACJI, 'green', ROOT . '/zadania');
			}
			
			///
			
			
			
			
		}
	}
	
	function druk()
	{
		$check = Factory::getInstance('logowanie')->check();
		if (!$check)
		{
			$this->view->komunikat(i18n::WYLOGOWANY, 'red', ROOT . '/zadania');
		}
		else
		{
			//$zadanie = $this->model->detailsBy($user['val']['id'], 'userId');
			$item = $this->model->druk();
			//print_r($item);die();
			$this->view->assign('item', $item);
			$this->view->toPdf('zadania.tpl');
		}
	}
}
?>