<?php

class userM extends Model
{

	function __construct ()
	{
		$file_array = array($_FILES['foto']);
		$file_dest = array('media/user');
		$file_resize = array('90x90xk');
		$file_name = array('foto');
		$file_type = array('jpg');
		
		$this->table = array('user');
		
		$this->post = new post($this->table);
		if (isset($file_array))
			$this->post->set_files($file_array, $file_dest, $file_name, $file_type, $file_resize);
	}
	
	
	
	
	function newPass()
	{
		$userId = Factory::getInstance('logowanie')->userId();
		$user = $this->details($userId);
		
		
		$post = $this->strip($_POST);

		
		//echo $user['pass'].'<br>'.sha1($post['haslo']);
		
		if (empty($post['haslo']))
		{
			$error['pass'] = i18n::NOT_VALID_PASSWD;
		}
		
		if (empty($post['haslo2']))
		{
			$error['pass'] = i18n::NOT_VALID_PASSWD;
		}
		
		
		if ($user['pass']!=sha1($post['haslo']))
		{
			$error['pass'] = i18n::NOT_VALID_PASSWD;
		}
		
		if (count($error)>0)
		{
			$ret['error']=$error;
		}
		else
		{
			$ret['ok']='ok';
			
			$userChange['id']=$userId;
			$userChange['pass'] = sha1($post['haslo2']);
		
		$userId = parent::change($userChange);
		}
		
		return $ret;
	}

	function editUser ()
	{
		$userId = Factory::getInstance('logowanie')->userId();
		$ob = new DBFETCH(array($this->table[0]));
		$ob->where("id=? and visible=?", array($userId,1));
		$user = $ob->fetch();
		unset($user['pass']);
		
		if ($user['wiek'])
		{
		$wiek = explode('-',$user['wiek']);
		$wiek = $wiek[0];
		$wiek =  date('Y')-$wiek;
		if ($wiek<18)
			$user['mlody']=1;
		}
		
		//echo '<pre>';print_r($user['wiek']);die();
		$ret['val'] = $user;
		return $ret;
	}

	function newUser ()
	{
		$ret = array();
		$post = $this->strip($_POST['user']);
		
		$check = Factory::getInstance('logowanie')->check();
		
		// print_r($check);die('end');
		
		if ($check)
		{
			$ret['redirect'] = './';
		}
		else
		{
			// validacja usera
			
			$errors = $this->validate($post);
			// print_r($errors);
			$ret['val'] = $post;
			unset($ret['val']['pass']);
			unset($ret['val']['pass2']);
			
			if (count($errors) > 0)
			{
				// die('a');
				$ret['error'] = $errors;
			}
			else
			{
				// tworzy usera
				// $post['resetPass'] = $this->hasz();
				// $post['visible'] = '1';
				$this->addUser($post);
				// $mail =
				// Factory::getInstance('sendmail')->newUser($post['mail'],$post);
			}
		}
		
		return $ret;
	}
	
	function del()
	{
		if (!Factory::getInstance('logowanie')->check())
		{
			$ret['error']=i18n::NIE_ZALOGOWANY;
		}
		else
		{
			$ob = new DBFETCH(array($this->table[0]));
			$ob->where("id=?",array(Factory::getInstance('logowanie')->userId()));
			$delUser = $ob->fetch();
			parent::change(array('visible'=>'0'),$delUser['id']);
			$ret['ok']=i18n::KONTO_USUNIETE;
			Factory::getInstance('logowanie')->logout();
			//die();
		}
		return $ret;
	}
	
	function add ()
	{
		$check = Factory::getInstance('logowanie')->check();
		if ($check)
		{
			header("Location: " . ROOT);
		}
		else
		{
			// echo '<pre>';
			// print_r($_FILES);
			// die();
			$ret = array();
			$post['user'] = $this->strip($_POST['user']);
			// nie validuj zadania przy dodawaniu / edycji , tylko przy wyslaniu
			// do weryfikacji
			//$post['zadanie'] = $this->strip($_POST['zadanie']);
			// validacja usera
			$zadanieErrors = $userErrors = array();
			$userErrors = $this->validate($post['user']);
			$ret['val']['user'] = $post['user'];
			unset($ret['val']['user']['pass']);
			unset($ret['val']['user']['pass2']);
				
			// validate zadanie
			// $zadanieErrors = $this->validate($post['zadanie']);
			//$ret['val']['zadanie'] = $post['zadanie'];
			$errors = array_merge($userErrors, $zadanieErrors);
				
			if (count($errors) > 0)
			{
				// die('a');
				$ret['error'] = $errors;
			}
			else
			{
				// add new user
				// $post['user']['visible']='1';
				$userId = $post['zadanie']['userId'] = $this->addUser($post['user']);
	
				// add new zadanie
				$post['zadanie']['data'] = date('Y-m-d');
				$zadanieId = Factory::getInstance('zadania')->change($post['zadanie']);
			}
				
			return $ret;
		}
	}

	function addUser ($user = array())
	{
		$user['resetPass'] = $this->hasz();
		//
		$user['visible'] = '1';
		$user['pass'] = sha1($user['pass']);
		unset($user['pass2']);
		
		$userId = parent::change($user);
		
		// die();
		// logowanie
		$login = Factory::getInstance('logowanie')->login($userId);
		Factory::getInstance('sendmail')->newUser($user['mail'],$user);
		return $userId;
	}
	
	// helpers
	function validate ($user = array())
	{
		include_once 'func/class/pesel.class.php';
		
		$error = array();
		// print_r($_POST);
		
		// czy jest taki mail
		
			// sprawdz login
			$ob = new DBFETCH(array($this->table[0]));
			$ob->where("login=? and visible=?",array($user['login'],'1'));
			if (count($ob->fetchAll())>0)
			{
				$error['login']=i18n::USER_EXISTS;
			}
			$ob = new DBFETCH(array($this->table[0]));
			$ob->where("mail=? and visible=?",array($user['mail'],1));
			if (count($ob->fetchAll())>0)
			{
				$error['email']=i18n::USER_MAIL_EXISTS;
			}
			 
			
			 
			
		
		
		
		$polaWymane = array();
		
		$polaWymane = array('nazwa' => "Imie i nazwisko",'mail' => 'Adres email','wiek' => 'Data urodzenia','pass' => 'Hasło','login' => 'Login','adres' => 'Adres zamieszkania','adres2' => 'Adres korespondencyjny','a1' => 'Oświadczam, że zapoznałem się z zasadami i trybem przeprowadzania Mysłowickiego Budżetu Obywatelskiego.','a2' => 'Oświadczam, że jestem uprawniony do udziału w zgłaszaniu propozycji zadań poprzez fakt zamieszkania na terenie Miasta Mysłowice oraz ukończenia 15. roku życia.','a3' => 'Oświadczam, że zgodnie z moją najlepszą wiedzą, wszystkie informacje podane we wniosku oraz w załącznikach, w tym dane zawarte w załączniku stanowiącym listę poparcia dla zadania, są prawdziwe.','a4' => 'Wyrażam zgodę na przetwarzanie moich danych osobowych w ramach wszelkich działań realizowanych przez Urząd Miasta Mysłowice w związku z Mysłowickim Budżetem Obywatelskim.');
		
		foreach ($polaWymane as $pW => $pName)
		{
			if ($user[$pW] == '')
			{
				$error[$pW] = i18n::EMPTY_FILDS . $pName;
				// echo $pName;
			}
			
			if ($user['mail'])
			{
				if (!preg_match('/^[a-zA-Z0-9.\-_]+@[a-zA-Z0-9\-.]+\.[a-zA-Z]{2,4}$/', $user['mail']))
					$error['mail'] = i18n::MAIL_NIE_POPRWNY;
			}
			
			if ($user['pesel'])
			{
				if (!$this->CheckPESEL($user['pesel']))
				{
					$error['pesel'] = i18n::PESEL_NIE_POPRWNY;
				}
				
				
				
			}
			
			if (!empty($user['wiek']) && !empty($user['pesel']))
			{
				$p = new Pesel($user['pesel']);
				if ($p->getBirthday('Y-m-d')!=$user['wiek'])
				{
					$error['peselWiek'] = i18n::PESEL_DATA_ERROR;
				}
			}
			
			if (!empty($user['pass']) && !empty($user['pass2']))
			{
				if ($user['pass']!=$user['pass2'])
				{
					$error['pass2'] = i18n::NOT_VALID_PASSWD2;
				}
			}
			if ($user['wiek'])
			{
				if (!$this->validateDate($user['wiek']))
				{
					$error['wiek'] = i18n::WIEK_DATE_FORMAT;
				}
			}
			
			if (!$this->validatePhone($user['phone']))
				$error['phone'] = i18n::NIE_POPRAWNY_TEL;
		}
		return $error;
	}

	function strip ($po = array())
	{
		foreach ($po as $kp => $vp)
		{
			$post[$kp] = strip_tags(stripslashes($vp));
		}
		return $post;
	}

	function validatePhone ($phone)
	{
		$phone = preg_replace("/[^0-9\(\)]/", "", $phone);
		if (!preg_match("/[0-9]{3}/", $phone) && !preg_match("/\([0-9]{2}\)[0-9]{7}/", $phone) && !preg_match("/\([0-9]{2}\)[0-9]{9}/", $phone))
			return false;
		return true;
	}

	function validateDate ($date, $format = 'Y-m-d')
	{
		$d = DateTime::createFromFormat($format, $date);
		return $d;
	}

	function CheckPESEL ($str)
	{
		if (!preg_match('/^[0-9]{11}$/', $str)) // sprawdzamy czy ciąg ma 11 cyfr
		{
			return false;
		}
		
		$arrSteps = array(1,3,7,9,1,3,7,9,1,3); // tablica z odpowiednimi
		                                        // wagami
		$intSum = 0;
		for ($i = 0; $i < 10; $i++)
		{
			$intSum += $arrSteps[$i] * $str[$i]; // mnożymy każdy ze znaków przez
				                                     // wagć i sumujemy wszystko
		}
		$int = 10 - $intSum % 10; // obliczamy sumć kontrolną
		$intControlNr = ($int == 10) ? 0 : $int;
		if ($intControlNr == $str[10]) // sprawdzamy czy taka sama suma kontrolna
		                               // jest w ciągu
		{
			return true;
		}
		return false;
	}

	function hasz ()
	{
		$salt = 'MBOPass';
		$tmpPass = sha1(date('Y-m-d H:i:s') . rand(0, 2000) . $salt);
		return $tmpPass;
	}

	function forgetSend ()
	{
		// echo '<pre>';
		// print_r($_POST);
		$ob = new DBFETCH(array($this->table[0]));
		$ob->where("login=? and visible=?", array($_POST['login'],1));
		$count = $ob->fetch();
		if (count($count) > 0)
		{
			// user jest wykonaj akcje
			// echo '<pre>';
			// print_r($count);
			$tmpPass['resetPass'] = $this->hasz();
			parent::change($tmpPass, $count['id']);
			$mail = Factory::getInstance('sendmail')->forget($count['mail'], $tmpPass['resetPass']);
			// print_r($mail);
			if ($mail)
				$ret['ok'] = i18n::PASS_NA_MAILA;
			else
				$ret['error'] = i18n::NIE_MA_USERA;
		}
		else
		{
			// nie ma takiego usera
			$ret['error'] = i18n::NIE_MA_USERA;
		}
		return ($ret);
	}

	function zaloguj ()
	{
		$ret = array();
		$post = $this->strip($_POST);
		$zaloguj = Factory::getInstance('logowanie')->zaloguj($post['nazwa'], $post['pass']);
		
		// die();
		if ($zaloguj == true)
		{
			$ret['redirect'] = './';
		}
		
		return $ret;
	}
	
	function resetPass()
	{
		$ob = new DBFETCH(array($this->table[0]));
		$ob->where("resetPass=? and visible=?",array($_GET['hasz'],1));
		$reset = $ob->fetch();
		if (!$reset['id'])
			$ret['error']= i18n::NIE_MA_USERA;
		else
		{
			$tmpPass = $this->genPassword();
			//print_r($reset);
			parent::change(array('pass'=>sha1($tmpPass),'resetPass'=>''),$reset['id']);
			$mail = Factory::getInstance('sendmail')->forget2($reset['mail'],$tmpPass);
			$ret['ok']=i18n::ZMIEN_HASLO;
			//die();
		}
		return $ret;
	
	}
	
	function genPassword ($length = 8)
	{
		// given a string length, returns a random password of that length
		$password = "";
		// define possible characters
		$possible = "0123456789abcdfghjkmnpqrstvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
		$i = 0;
		// add random characters to $password until $length is reached
		while ($i < $length) {
			// pick a random character from the possible ones
			$char = substr($possible, mt_rand(0, strlen($possible)-1), 1);
			// we don't want this character if it's already in the password
			if (!strstr($password, $char)) {
				$password .= $char;
				$i++;
			}
		}
		return $password;
	}
}

?>