<?php

class zadaniaM extends Model
{

	function __construct ()
	{
		$this->table = array('zadania');
		
		$file_array = array($_FILES['file01'],$_FILES['file02'],$_FILES['file03'],$_FILES['file04'],$_FILES['file05']);
		$file_dest = array('media/user/files','media/user/files','media/user/files','media/user/files','media/user/files');
		$file_resize = array('ORGxORGxn','ORGxORGxn','ORGxORGxn','ORGxORGxn','ORGxORGxn');
		$file_name = array('file01','file02','file03','file04','file05');
		$file_type = array('jpg','jpg','jpg','jpg','jpg');
		$this->post = new post($this->table);
		if (isset($file_array))
			$this->post->set_files($file_array, $file_dest, $file_name, $file_type, $file_resize);
		// print_r($_GET);
	}

	function add ()
	{
		$check = Factory::getInstance('logowanie')->check();
		if ($check)
		{
			header("Location: " . ROOT);
		}
		else
		{
			// echo '<pre>';
			// print_r($_FILES);
			// die();
			$ret = array();
			$post['user'] = $this->strip($_POST['user']);
			// nie validuj zadania przy dodawaniu / edycji , tylko przy wyslaniu
			// do weryfikacji
			$post['zadanie'] = $this->strip($_POST['zadanie']);
			// validacja usera
			$zadanieErrors = $userErrors = $errorsFiles = array();
			$userErrors = Factory::getInstance('user')->validate($post['user']);
			$ret['val']['user'] = $post['user'];
			unset($ret['val']['user']['pass']);
			unset($ret['val']['user']['pass2']);
			
			// validate zadanie
			// $zadanieErrors = $this->validate($post['zadanie']);
			$ret['val']['zadanie'] = $post['zadanie'];
			
			$errorsFiles = array();
			$errorsFiles = $this->validateImages();
			
			
			
				$errors = array_merge($userErrors,$errorsFiles);
				

			//print_r($errors);
			//die('end');
			
			if (count($errors) > 0)
			{
				// die('a');
				$ret['error'] = $errors;
			}
			else
			{
				// add new user
				// $post['user']['visible']='1';
				$userId = $post['zadanie']['userId'] = Factory::getInstance('user')->addUser($post['user']);
				
				// add new zadanie
				$post['zadanie']['data'] = date('Y-m-d');
				$zadanieId = parent::change($post['zadanie']);
			}
			
			return $ret;
		}
	}

	function editForm ()
	{
		$user = Factory::getInstance('user')->editUser();
		$zadanieUsera = $this->detailsBy($user['val']['id'], 'userId');
		
		$post['zadanie'] = $this->strip($_POST['zadanie']);
		$post['zadanie']['id'] = $zadanieUsera['id'];
		$post['zadanie']['userId'] = $zadanieUsera['userId'];
		
		$zadanie = $this->details($zadanieUsera['id']);
		
		$suma = 0;
		if (!empty($post['zadanie']['cel1Kwota']))
		{
			$post['zadanie']['cel1Kwota'] = str_replace(',','.',$post['zadanie']['cel1Kwota']);
			$suma = $suma+$post['zadanie']['cel1Kwota'];
		}
		
		if (!empty($post['zadanie']['cel2Kwota']))
		{
			$post['zadanie']['cel2Kwota'] = str_replace(',','.',$post['zadanie']['cel2Kwota']);
			$suma = $suma + $post['zadanie']['cel2Kwota'];	
		}
		
		if (!empty($post['zadanie']['cel3Kwota']))
		{
			$post['zadanie']['cel3Kwota'] = str_replace(',','.',$post['zadanie']['cel3Kwota']);
			$suma = $suma + $post['zadanie']['cel3Kwota'];
		}
		
		if (!empty($post['zadanie']['cel4Kwota']))
		{
			$post['zadanie']['cel4Kwota'] = str_replace(',','.',$post['zadanie']['cel4Kwota']);
			$suma = $suma + $post['zadanie']['cel4Kwota'];
		}
		
		if (!empty($post['zadanie']['cel5Kwota']))
		{
			$post['zadanie']['cel5Kwota'] = str_replace(',','.',$post['zadanie']['cel5Kwota']);
			$suma = $suma + $post['zadanie']['cel5Kwota'];
		}
		if (!empty($post['zadanie']['cel6Kwota']))
		{
			$post['zadanie']['cel6Kwota'] = str_replace(',','.',$post['zadanie']['cel6Kwota']);
			$suma = $suma + $post['zadanie']['cel6Kwota'];
		}
		if (!empty($post['zadanie']['cel7Kwota']))
		{
			$post['zadanie']['cel7Kwota'] = str_replace(',','.',$post['zadanie']['cel7Kwota']);
			$suma = $suma + $post['zadanie']['cel7Kwota'];
		}
		if (!empty($post['zadanie']['cel8Kwota']))
		{
			$post['zadanie']['cel8Kwota'] = str_replace(',','.',$post['zadanie']['cel8Kwota']);
			$suma = $suma + $post['zadanie']['cel8Kwota'];
		}
		if (!empty($post['zadanie']['cel9Kwota']))
		{
			$post['zadanie']['cel9Kwota'] = str_replace(',','.',$post['zadanie']['cel9Kwota']);
			$suma = $suma + $post['zadanie']['cel9Kwota'];
		}
		
		
		$post['zadanie']['kosztZadania'] = $ret['zadanie']['kosztZadania'] = $suma;
		
		
		$ret['zadanie'] = $zadanie;
		
		$errors = $this->validateImages();
		
		if (count($errors) > 0)
		{
			// die('a');
			$ret['error'] = $errors;
		}
		else
		{
			
			// print_r($_FILES);
			// die();
			if ($zadanie['frozen'] != '1')
			{
				$zadanieId = parent::change($post['zadanie']);
			}
		}
		
		$ret['val']['zadanie'] = $post['zadanie'];
		return $ret;
	}

	function index ()
	{
		$this->lista();
	}

	function lista ()
	{
		$limit = 9;
		$ob = new DBFETCH(array($this->table[0]));
		$ob->order("data desc");
		$lista['lista'] = $ob->fetchAll('*', $limit);
		return $lista;
	}

	function last ()
	{
		$limit = 3;
		$ob = new DBFETCH(array($this->table[0]));
		$ob->order("data desc");
		$lista = $ob->fetchAll('*', $limit);
		return $lista;
	}
	
	// helpers
	function validate ($user = array())
	{
		// print_r($_POST);
		$error = array();
		$polaWymane = array();
		
		$polaWymane = array('nazwa' => "Nazwa zadania",'opis' => 'Opis zadania','korzysci' => 'Jakie korzyści przyniesie realizacja zadania i jaką grupę obejmie','adres' => "Adres, numer działki lub dokładne miejsce realizacji zadania",'kosztZadania' => 'Szacunkowy koszt realizacji zadania','kosztUtrzymania' => 'Szacunkowy koszt utrzymania zrealizowanego zadania','cel1Nazwa'=>'Wypełnij choć jeden szacunkowy koszt realizacji zadania','cel1Kwota'=>'Wypełnij choć jeden szacunkowy koszt realizacji zadania');
		
		foreach ($polaWymane as $pW => $pName)
		{
			if ($user[$pW] == '')
			{
				$error[$pW] = i18n::EMPTY_FILDS . $pName;
				// echo $pName;
			}
		}
		
		return $error;
	}
	
	function r19mime($url) {
		

			$mime_types=array(
					'txt' => 'text/plain',
					'htm' => 'text/html',
					'html' => 'text/html',
					'php' => 'text/html',
					'css' => 'text/css',
					'js' => 'application/javascript',
					'json' => 'application/json',
					'xml' => 'application/xml',
					'swf' => 'application/x-shockwave-flash',
					'flv' => 'video/x-flv',
					// images
					'png' => 'image/png',
					'jpe' => 'image/jpeg',
					'jpeg' => 'image/jpeg',
					'jpg' => 'image/jpeg',
					'gif' => 'image/gif',
					'bmp' => 'image/bmp',
					'ico' => 'image/vnd.microsoft.icon',
					'tiff' => 'image/tiff',
					'tif' => 'image/tiff',
					'svg' => 'image/svg+xml',
					'svgz' => 'image/svg+xml',
					// archives
					'zip' => 'application/zip',
					'rar' => 'application/x-rar-compressed',
					'exe' => 'application/x-msdownload',
					'msi' => 'application/x-msdownload',
					'cab' => 'application/vnd.ms-cab-compressed',
					// audio/video
					'mp3' => 'audio/mpeg',
					'qt' => 'video/quicktime',
					'mov' => 'video/quicktime',
					// adobe
					'pdf' => 'application/pdf',
					'psd' => 'image/vnd.adobe.photoshop',
					'ai' => 'application/postscript',
					'eps' => 'application/postscript',
					'ps' => 'application/postscript',
					// ms office
					'doc' => 'application/msword',
					'rtf' => 'application/rtf',
					'xls' => 'application/vnd.ms-excel',
					'ppt' => 'application/vnd.ms-powerpoint',
					// open office
					'odt' => 'application/vnd.oasis.opendocument.text',
					'ods' => 'application/vnd.oasis.opendocument.spreadsheet',
			);
			$ext=strtolower(array_pop(explode('.',$url)));
			if (array_key_exists($ext,$mime_types)) $m=$mime_types[$ext];
			else $m='application/octet-stream';
		 return $m;
	}

	function validateImages ()
	{
		if (is_array($_FILES))
		{
			// $post['podsumowanieFoto']
			$acceptType = array('jpeg' => 'image/jpeg','jpg' => 'image/jpeg','gif' => 'image/gif','bmp' => 'image/bmp','pdf' => 'application/pdf','doc' => 'application/msword','rtf' => 'application/rtf','xls' => 'application/vnd.ms-excel','ppt' => 'application/vnd.ms-powerpoint','odt' => 'application/vnd.oasis.opendocument.text','ods' => 'application/vnd.oasis.opendocument.spreadsheet','docx' => 'application/vnd.openxmlformats-officedocument.wordprocessingml.document','zip' => 'application/zip'/*,'zip2' => 'application/octetstream','zip3' => 'application/octet-stream'*/);
			
			foreach ($_FILES as $fk => $f)
			{
				if ($f['error'] != 4) // no upload
				{
					// echo $f['type'];
					//echo $this->r19mime($f['name']);die();
					if (!in_array($this->r19mime($f['name']), $acceptType))
					{
						//echo mime_content_type($f['tmp_name']);die();
						$error[$fk] = 'Nie poprawny format pliku';
					}
					
				}
			}
		}
		// print_r($error);
		return $error;
	}

	function getFile ()
	{
		$id = 'file0' . (int) $_GET['id'];
		
		$user = Factory::getInstance('user')->editUser();
		$zadanieUsera = $this->detailsBy($user['val']['id'], 'userId');
		
		$ob = new DBFETCH(array($this->table[0]));
		$ob->where("userId=?", array((int) $user['val']['id']));
		$files = $ob->fetch();
		
		$fileName = 'media/user/files/' . $files[$id];
		
		if (file_exists($fileName))
		{
			
			$mime = mime_content_type($fileName);
			
			header('Content-Disposition: attachment; filename="plikMBO.' . $this->getExt($fileName));
			header('Content-Type: ' . $mime);
			// Header("Content-Type: application/octet-stream");
			header('Content-Length: ' . filesize($fileName));
			ob_clean();
			flush();
			readfile($fileName);
			exit();
		}
	}

	function getExt ($file)
	{
		// echo $file;
		$f = explode('.', $file);
		$extension = end($f);
		return $extension;
	}

	function weryfikuj ()
	{
		$user = Factory::getInstance('user')->editUser();
		$zadanieUsera = $this->detailsBy($user['val']['id'], 'userId');
		
		$ret['zadanie'] = $zadanieUsera;
		
		// validate zadanie
		$errors = $this->validate($ret['zadanie']);
		if (count($errors) > 0)
		{
			// die('a');
			$ret['error'] = $errors;
		}
		else
		{
			$post['zadanie']['id'] = $zadanieUsera['id'];
			$post['zadanie']['userId'] = $zadanieUsera['userId'];
			$post['zadanie']['frozen'] = 1;
			
			// echo '<pre>';
			// print_r($_FILES);
			// die();
			
			$zadanieId = parent::change($post['zadanie']);
		}
		
		$ret['val']['zadanie'] = $ret['zadanie'];
		return $ret;
	}
	
	function druk()
	{
		$user = Factory::getInstance('user')->editUser();
		$ret = $user['val'];
		
		$ret['zadania'] = $this->detailsBy($user['val']['id'], 'userId');
		return $ret;
	}
}

?>