<!doctype html>
<!--[if lte IE 8]> <html lang="pl" class="no-js ie"> <![endif]-->
<!--[if gt IE 8]><!--> <html lang="pl" class="no-js"> <!--<![endif]-->
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>{if $meta.metaTitle}{$meta.metaTitle}{else}Edward Lasok{/if}</title>
	<meta name="keywords" content="{$meta.metaKeywords}" />
	<meta name="description" content="{$meta.metaDescription}" />
	<meta name="title" content="{$meta.metaTitle}" />
	<meta name="page-topic" content="{$meta.metaTitle}" />
	<meta name="keyphrases" content="{$meta.metaKeywords}" />
	<link rel="icon" href="{$root}/images/favicon.png">
	<link href='http://fonts.googleapis.com/css?family=Exo:400,700&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
	<link rel="stylesheet" href="{$root}/css/libs.css">
	<link rel="stylesheet" href="{$root}/css/style.css">
	<script src="{$root}/js/modernizr.min.js"></script>
</head>
<body>
{if $smarty.get.controller=='index'}
<div class="start-top">
	<div class="container">
		<h1 class="start-top-logo">
			<a href="{$root}" ><img src="{$root}/images/logo_white.png" alt="Edward Lasok"></a>
		</h1>
		<div class="start-top-info no-mobile">
			<p class="start-top-p icon-edit">
				<span class="blue">{$start.news2[0].nazwa}</span><br>
				{$start.news2[0].opis|strip_tags}
			</p>
			<p class="start-top-p icon-facebook">
				<span class="blue">{$start.news2[1].nazwa}</span><br>
				{$start.news2[1].opis|strip_tags}
			</p>
		</div>
		<img class="start-top-image" src="{$root}/images/gfx/start_img.jpg" alt="">
	</div>
</div>
{/if}

<header class="top">
	<div class="container clearfix" role="banner">
	{if $smarty.get.controller!='index'}
		<h1 class="logo">
			<a href="{$root}" rel="home">
				<img src="{$root}/images/logo.png" alt="Edward Lasok">
			</a>
		</h1>
		{/if}
		<nav class="nav clearfix" role="navigation">
			<h2 class="ninja menu-h"><span>Menu </span></h2>
			<ul class="menu">

				<li {if $CTRL=='index'}class="active"{/if}><a href="{$root}">Home</a></li>
				<li {if $CTRL=='aktualnosci'}class="active"{/if}><a href="{$root}/aktualnosci">Aktualności</a></li>
				<li {if $CTRL=='omnie'}class="active"{/if}><a href="{$root}/omnie">O mnie</a></li>
				<li {if $CTRL=='osiagniecia'}class="active"{/if}{*class="dropdown" data-dropdown*}>
					<a href="osiagniecia">Osiągnięcia</a>
					{*<ul class="dropdown-content" data-dropdown-content>
						<li><a href="Lorem.html">Lorem</a></li>
						<li><a href="Lorem.html">Lorem</a></li>
						<li><a href="Lorem.html">Lorem</a></li>
						<li><a href="Lorem.html">Lorem</a></li>
						<li><a href="Lorem.html">Lorem</a></li>
						<li><a href="Lorem.html">Lorem</a></li>
					</ul>*}
				</li>
				<li {if $CTRL=='program'}class="active"{/if}><a href="{$root}/program">Program</a></li>
				<li {if $CTRL=='galeria'}class="active"{/if}><a href="{$root}/galeria">Galeria</a></li>
				<li {if $CTRL=='txt'}class="active"{/if}><a href="{$root}/kontakt">Kontakt</a></li>
				<li class="menu-facebook"><a href="https://www.facebook.com/edwardlasok"><img src="{$root}/images/gfx/icon_facebook.png" alt="Facebook"></a></li>
			</ul>
		</nav>
	</div>
</header>


<div class="main container">

	<main class="content" role="main">

		{if $include}
			{include file=$include}
		{/if}
	</main><!-- content -->
</div><!-- container -->

<footer class="footer" role="contentinfo">
	<div class="container clearfix">
		<span><img src="{$root}/images/gfx/mps.png" alt=""></span>
		<span class="pullRight m0"><img src="{$root}/images/gfx/footer_logo.png" alt=""></span>
	</div>
</footer>


<script src="http://code.jquery.com/jquery-1.11.1.min.js"></script>
<script src="{$root}/js/libs.js"></script>
<script src="{$root}/js/script.js"></script>

</body>
</html>
