<?php

function miniaturka($sciezka_pliku,$folder_docelowy,$mx,$my,$ramka=0,$watermark='')
{


		if(is_file($sciezka_pliku))
		{

			$maxwidth=$mx;
			$maxheight=$my;
			$rozmiar=GetImageSize($sciezka_pliku);
			if($rozmiar['channels']==4)
			throw new Exception("Wystpi bd podczas generowania miniaturki zdjcia. Paleta kolorw powinna by w formacie RGB. Sprawd palet kolorw uyt do zapisu obrazka.");


			$szerokosc=$rozmiar[0];
			$wysokosc=$rozmiar[1];
			$wsp_x=$maxwidth/$szerokosc;
			$wsp_y=$maxheight/$wysokosc;
			if(($szerokosc<=$maxwidth)&&($wysokosc<=$maxheight))
			{
				$newszer=$szerokosc;
				$newwys=$wysokosc;
					
			}
			else if(($wsp_x * $wysokosc)< $maxheight)
			{
				$newwys=ceil($wsp_x * $wysokosc);
				$newszer=$maxwidth;
			}
			else
			{
				$newszer=ceil($wsp_y * $szerokosc);
				$newwys=$maxheight;
			}
			
			switch(end(explode('.',strtolower($sciezka_pliku))))
			{
				case 'jpg':
					
					$zrd=@ImageCreateFromJpeg($sciezka_pliku);
					if(!$zrd)
					throw new Exception("Wystpi bd podczas tworzenia miniaturki zdjcia, operacja zakoczona niepowodzeniem");
					break;
				case'gif':
					$zrd=@ImageCreateFromGif($sciezka_pliku);
					if(!$zrd)
					throw new Exception("Wystpi bd podczas tworzenia miniaturki zdjcia, operacja zakoczona niepowodzeniem");
					break;
				case'png':
					$zrd=@ImageCreateFromPng($sciezka_pliku);
					if(!$zrd)
					throw new Exception("Wystpi bd podczas tworzenia miniaturki zdjcia, operacja zakoczona niepowodzeniem");
					break;

			}

			$prz=@ImageCreateTruecolor($newszer,$newwys);
			if(!is_resource($prz))
			throw new Exception("Wystpi bd podczas tworzenia miniaturki zdjcia, operacja zakoczona niepowodzeniem");
				
			if(!@ImageCopyResampled($prz,$zrd,0,0,0,0,$newszer,$newwys,$szerokosc,$wysokosc) )
			throw new Exception("Wystpi bd podczas tworzenia miniaturki zdjcia, operacja zakoczona niepowodzeniem");
				
			if(is_array($ramka))
			{
				$kolor=imagecolorallocate($prz,$ramka['r'],$ramka['g'],$ramka['b']);
				imageline($prz,0,0,$newszer,0,$kolor);
				imageline($prz,0,0,0,$newwys,$kolor);
				imageline($prz,$newszer-1,0,$newszer-1,$newwys,$kolor);
				imageline($prz,0,$newwys-1,$newszer-1,$newwys-1,$kolor);
			}


			if($watermark!='')
			{
					
				if(file_exists($watermark))
				{
					$pngsize=getimagesize($watermark);
					$png=imagecreatefrompng($watermark);
					imagecopyresampled($prz,$png,0,$newwys-$pngsize[1],0,0,$pngsize[0],$pngsize[1],$pngsize[0],$pngsize[1]);
				}



			}
			switch(end(explode('.',strtolower($sciezka_pliku))))
			{
				case 'jpg':
					if(!@ImageJpeg($prz,$folder_docelowy,90))
					throw new Exception("Wystpi bd podczas tworzenia miniaturki zdjcia, operacja zakoczona niepowodzeniem");
					break;
				case'gif':
					if(!@ImageGif($prz,$folder_docelowy,90))
					throw new Exception("Wystpi bd podczas tworzenia miniaturki zdjcia, operacja zakoczona niepowodzeniem");
					break;
				case'png':
					if(!@ImagePng($prz,$folder_docelowy,90))
					throw new Exception("Wystpi bd podczas tworzenia miniaturki zdjcia, operacja zakoczona niepowodzeniem");
					break;
			}


			ImageDestroy($zrd);
			ImageDestroy($prz);
			return true;

		}



}
?>