<?php
//error_reporting(E_ALL);
//ini_set('display_errors', 1);

class XmlLogger
{

	function __construct($prefix,$dir='./log/')
	{
		$this->prefix=$prefix;
		$this->dir=$dir;
	}
	
	function change($filename,$post)
	{
	    $filenameOut = $this->prefix.'_'.$filename;
	    if (!file_exists($this->dir.$filenameOut))
	    {
	        $this->append($filename,$post);
	    }
	    else
	    {
	        $get = $this->getXml($filename);
	        //print_r($get);
	        //die();
	        //$get = $get['opis'];
	        $get = (end($get));
	        
	        //echo 'get';
	        //print_r($get);die();
	        
	        // find diferences
	        //print_r($get);
    	        if (sha1($get['opis'])!=sha1($post['opis']))
    	        {
    	           $this->append($filename,$post);
    	           //echo 'zapis';
    	        }
	        
	        //$xml = simplexml_load_file($filename);
	    }
	    //die();
	}

	function append($filename,$post)
	{
		$filename = $this->prefix.'_'.$filename;
		if (!file_exists($this->dir.$filename))
		{
			$xml = new SimpleXMLElement('<log/>');
		}
		else
		{
			$xml = simplexml_load_file($this->dir.$filename);
		}

		$post = array_flip($post);
		array_walk_recursive($post, array ($xml, 'addChild'));

		$xml->saveXML($this->dir.$filename);
	}

	function getXml($filename)
	{
	    //include 'finediff.php';
	    $wynik=array();
	    require_once 'func/class/class.diff.php';
	    
	    // compare two strings line by line
	   
	    
		$filename = $this->prefix.'_'.$filename;
		
		//echo $this->dir.$filename;
		
		
		
		$xmlO = simplexml_load_file($this->dir.$filename);
		//var_dump($xmlO);
		
		
		$json = json_encode($xmlO);
		$array = json_decode($json,TRUE);
		
		//print_r($array);
		
		//if (!isset($array['opis'][0]))
		//{
		//    echo 'kicha';
		//}
		//print_r($array);
		
		
		
    		foreach ($array as $key=>$val)
    		{
    		    
        			foreach ($val as $kk=>$wartosc)
        			{
        				$wynik[$kk][$key]=$wartosc;
        				
        				if (isset($wynik[$kk-1]))
        				{
        				    $wynik[$kk]['diff']= $diff = Diff::toTable(Diff::compare($wynik[$kk-1]['opis'], $wynik[$kk]['opis']));
        				}
        				else {
        				    
        				    $wynik[$kk]['diff']= $diff = Diff::toTable(Diff::compare('', $wynik[$kk]['opis']));
        				}
        			}
    		    
    		
		}
//print_r($wynik);
		return $wynik;
	}
	
	function lista()
	{
	    $it = new RegexIterator(new DirectoryIterator($this->dir), '/^'.$this->prefix.'_[a-z0-9]*$/');
	    foreach ($it as $info) {
	        if ($info->isFile ()) {
	            $name = explode('_',$info->getFilename());
	            $files [$info->getFilename()]['id'] = $name[1];
	            $files [$info->getFilename()]['nazwa'] = $info->getFilename();
	            $files [$info->getFilename()]['data'] = filemtime($this->dir.$info->getFilename());
	            $files [$info->getFilename()]['dataTxt'] = date ("Y-m-d H:i:s", filemtime($this->dir.$info->getFilename()));
	        }
	    }
	    
	    foreach ($files as $key => $row) {
	        $volume[$key]  = $row['data'];
	        $edition[$key] = $row['nazwa'];
	    }
	    
	    array_multisort($volume, SORT_DESC, $edition, SORT_ASC, $files);
	    
	    return ($files);
	    
	}
	
	function garbageCollector()
	{
	    $now = time();
	    $it = new RegexIterator(new DirectoryIterator($this->dir), '/^'.$this->prefix.'_[a-z0-9]*$/');
	    foreach ($it as $info) {
	        if ($info->isFile ()) 
	        {
	            $name = explode('_',$info->getFilename());
	            $files [$info->getFilename()]['id'] = $name[1];
	            $files [$info->getFilename()]['nazwa'] = $info->getFilename();
	            $files [$info->getFilename()]['data'] = filemtime($this->dir.$info->getFilename());
	            $files [$info->getFilename()]['dataTxt'] = date ("Y-m-d H:i:s", filemtime($this->dir.$info->getFilename()));
	            $files [$info->getFilename()]['czas'] = ($now-$files [$info->getFilename()]['data'])/60/60/24;
	            $files [$info->getFilename()]['file'] = $this->dir.$info->getFilename();
	            
	            if ($files [$info->getFilename()]['czas']>60)
	            {
	                $garbage[]=$files [$info->getFilename()]['file'];
	            }
	        }
	    }
	    
	    //print_r($garbage);
	   /* 
	    $gz = gzopen ( $this->dir.'outputfile.gz', 'w9' );
	    foreach ($garbage as $file) { //get your list of files to compress here
	        gzwrite ( $gz, file_get_contents($this->dir.$file['nazwa']) );
	    }
	    gzclose ( $gz );
	    */
	    // tar data
	    //print_r(count($garbage));die();
	    if (count($garbage)>100)
	    { 
    	    try
    	    {
    	        $a = new PharData($this->dir.'archive.tar');
    	        foreach ($garbage as $file)
    	        {
    	           $a->addFile($file);
    	           // usun plik
    	           unlink($file);
    	        }
    	        
    	        // gzip data
    	        $gz = gzopen ( $this->dir.$this->prefix.'_'.date('Y_m_d H:i:s').'.gz', 'w9' );
    	        gzwrite ( $gz, file_get_contents($this->dir.'archive.tar') );
    	        gzclose ( $gz );
    	        unlink($this->dir.'archive.tar');
    	        
    	    }
    	    catch (Exception $e)
    	    {
    	        echo "Exception : " . $e;
    	    }
	    }
	    
	    
	   // print_r($files);
	   // print_r($garbage);
	}


}





?>