<?php
// /////////////////////////////////////////////////////////////////////////////////////////////////////// \\
// func.minaturka.php by Karol Halaba "cermit" 2008.10.31
// przyklady uzycia :
//  //miniaturka('galeria','foto','../foto/big/','../foto/big/',60,10,'p',(int)$_POST['id']); // prostokat
//	//miniaturka('galeria','foto','../foto/big/','../foto/big/',60,0,'k',(int)$_POST['id']); // kwadrat
//	//miniaturka('galeria','foto','../foto/big/','../foto/big/',100,120,'n',(int)$_POST['id']); // proporcjonalny
// /////////////////////////////////////////////////////////////////////////////////////////////////////// \\
include_once('thumbnail.inc.php');
function miniaturka ($source,$dest,$width,$height,$modyfikacja)
{ 
	// załadowanie obrazka
	$thumb = new Thumbnail($source);
	// pobranie szerokości uploadowanego obrazka
	$size = getimagesize($source);
	
	//echo '<pre>';
	//print_r($size);

	if ($width!='ORG')
	{

	// sprawdzenie czy wyzszy czy szerszy
	if ($width>$height)
	{
		if ($size[0]<$size[1])
		{
			$wsp = $size[0]/$width; // width
		}
		else
		{
			$wsp = $size[1]/$width; // height
		}
	}
	else
	{
		if ($size[0]<$size[1])
		{
			$wsp = $size[0]/$height; // width
		}
		else
		{
			$wsp = $size[1]/$height; // height
		}
	}
	

	//echo '<hr>'.$wsp;

	// kwadrat
	if ($modyfikacja=='k')
	{
		// pomniejsz z zapasem
		$thumb->resize(round($size[0]/$wsp),round($size[1]/$wsp));
		// wytnij ze srodka obraz 100x100
		$thumb->cropFromCenter($width);
	}

	// prostokat
	elseif ($modyfikacja=='p')
	{
		// pomniejsz z zapasem
		$thumb->resize(round($size[0]/$wsp),round($size[1]/$wsp));
		// ustaw rogi by wycinał ze srodka
		$a = ((round($size[0]/$wsp))-$width)/2;
		$b = ((round($size[1]/$wsp))-$height)/2;
		$thumb->crop($a,$b,$width,$height);
	}

	// zwykla miniaturka
	else //($modyfikacja=='normal')
	{
		// ustaw wysokosc i szerokosc
		$thumb->resize($width,$height);
	
	}
	}


	//$thumb->crop(0,0,100,50);
	$thumb->save($dest.$nazwa);
}
?>