<div class="SideOverlay-inner">
	<span class="SideOverlay-close" data-close>&times;</span>

	<h2>Edycja usługi</h2>

	<form action="">
		<label class="label">
			<span class="label-name">Nazwa</span>
			<input type="text" name="name" class="input" value="{$block.name}">
		</label>
		{if $form.uslugi}
			<label class="label">
				<span class="label-name">Usluga</span>
				<select name="usluga">
					{foreach $form.uslugi as $u}
						<option value="{$u.id}" {if $u.selected}selected{/if}>{$u.label}</option>
					{/foreach}
				</select>
			</label>
		{/if}
		<label class="label">
			<span class="label-name">Cena</span>
			<input type="text" name="price" class="input input--short" value="{$block.price}"> zł
		</label>
		<label class="label">
			<span class="label-name">Typ instalacji</span>
			<input type="text" name="typInstalacji" class="input" value="{$block.typInstalacji}">
		</label>

		<div class="label">
			<label class="label-name">
				<input type="checkbox" name="manualDuration" {if $block.manualDuration}checked{/if}>
				Inna długość
			</label>
			<input type="range" name="duration" value="{$block.duration}" min="1" max="108" class="w90">
		</div>

		<div class="well well--blockHolder" data-block></div>


		<h3>Dane klienta</h3>

		<input type="hidden" name="klient_id" value="{$block.klient_id}">

		<label class="label">
			<span class="label-name">Imię</span>
			<input type="text" class="input" name="klient_imie" value="{$block.klient_imie}">
		</label>
		<label class="label">
			<span class="label-name">Nazwisko</span>
			<input type="text" class="input" name="klient_nazwisko" value="{$block.klient_nazwisko}">
		</label>
		<label class="label">
			<span class="label-name">Adres</span>
			<textarea class="input input--textarea" name="klient_adres">{$block.klient_adres}</textarea>
		</label>
		<label class="label">
			<span class="label-name">Kategoria uprawnień</span>
			<input type="text" class="input" name="klient_kategoria_uprawnien" value="{$block.klient_kategoria_uprawnien}">
		</label>
		<label class="label">
			<span class="label-name">nr. prawa jazdy</span>
			<input type="text" class="input" name="klient_nr_prawa_jazdy" value="{$block.klient_nr_prawa_jazdy}">
		</label>
		<label class="label">
			<span class="label-name">nr. telefonu</span>
			<input type="text" class="input" name="klient_nr_telefonu_1" value="{$block.klient_nr_telefonu_1}">
			<input type="text" class="input" name="klient_nr_telefonu_2" value="{$block.klient_nr_telefonu_2}">
		</label>
		<label class="label">
			<span class="label-name">E-mail</span>
			<input type="text" class="input" name="klient_email" value="{$block.klient_email}">
		</label>
		<label class="label">
			<span class="label-name">Uwagi</span>
			<textarea class="input input--textarea" name="klient_uwagi">{$block.klient_uwagi}</textarea>
		</label>

		<h3>Dane samochodu</h3>

		<input type="hidden" name="auto_id" value="{$block.auto_id}">

		<label class="label">
			<span class="label-name">Nr. rej.</span>
			<input type="text" class="input" name="auto_nr_rej" value="{$block.auto_nr_rej}">
		</label>
		<label class="label">
			<span class="label-name">Nr. vin.</span>
			<input type="text" class="input" name="auto_nr_vin" value="{$block.auto_nr_vin}">
		</label>
		<label class="label">
			<span class="label-name">Marka</span>
			<input type="text" class="input" name="auto_marka" value="{$block.auto_marka}">
		</label>
		<label class="label">
			<span class="label-name">Model</span>
			<input type="text" class="input" name="auto_model" value="{$block.auto_model}">
		</label>
		<label class="label">
			<span class="label-name">Rodzaj pojazdu</span>
			<input type="text" class="input" name="auto_rodzaj_pojazdu" value="{$block.auto_rodzaj_pojazdu}">
		</label>
		<label class="label">
			<span class="label-name">Rok produkcji</span>
			<input type="text" class="input input--number" name="auto_rok_produkcji" value="{$block.auto_rok_produkcji}">
		</label>
		<label class="label">
			<span class="label-name">Pojemność silnika</span>
			<input type="text" class="input" name="auto_pojemnosc_silnika" value="{$block.auto_pojemnosc_silnika}">
		</label>
		<label class="label">
			<span class="label-name">Moc</span>
			<input type="text" class="input" name="auto_moc" value="{$block.auto_moc}">
		</label>
		<label class="label">
			<span class="label-name">Przebieg pojazdu</span>
			<input type="text" class="input" name="auto_przebieg_pojazdu" value="{$block.auto_przebieg_pojazdu}">
		</label>
		<label class="label">
			<span class="label-name">Uwagi</span>
			<textarea name="auto_uwagi" class="input input--textarea">{$block.auto_uwagi}</textarea>
		</label>

	</form>
		<p class="alignCenter">
			<button type="button" class="button" data-close>Zamknij</button>
		</p>

	{if $block.id}
		<p class="alignCenter">
			<a href="calendar,printUszkodzenia,{$block.id}" class="button button--gray" data-save-and-go>Uszkodzenia</a>
			<a href="calendar,printZdawczoOdbiorczy,{$block.id}" class="button button--gray" data-save-and-go>Protokół</a>
		</p>
	{/if}
</div>

