<?php

class userC extends Controller
{

	function index ()
	{
		$check = Factory::getInstance('logowanie')->check();
		if (!$check == true)
		{
			//$this->view->komunikat(i18n::NIE_ZALOGOWANY, 'red', ROOT . '/');
			$this->newForm();
		}
		else
		{
			$this->login();
		}
	}
	
	function newForm ()
	{
		$this->view->assign('include', $_GET['controller'] . '.register.tpl');
		$this->view->smarty();
	}
	
function add ()
	{
		$check = Factory::getInstance('logowanie')->check();
		if ($check)
		{
			$this->view->komunikat('Jesteś już zalogowany', 'green', ROOT . '/zadania');
		}
		else
		{
			$resp = $this->model->add();
			// echo '<pre>';
			// print_r($resp);
			if (isset($resp['error']))
			{
				$this->view->assign('resp', $resp);
				$this->newForm();
			}
			else
			{
				// print_r($resp);
				
				$this->view->komunikat(i18n::DODANY_NOWY_USER, 'green', ROOT . '/zadania');
				// $this->editForm ();
			}
		}
	}

	function logout ()
	{
		Factory::getInstance('logowanie')->logout();
		$this->view->komunikat('Zostałeś wylogowany', 'green', ROOT . '');
	}

	function change ()
	{
		$check = Factory::getInstance('logowanie')->check();
		if ($check == true)
		{
			$this->view->assign('include', 'user.changePass.tpl');
			$this->view->smarty();
		}
		else
		{
			$this->view->komunikat(i18n::NIE_ZALOGOWANY, 'red', ROOT . '/user');
		}
	}

	function newPass ()
	{
		$check = Factory::getInstance('logowanie')->check();
		if ($check == true)
		{
			$resp = $this->model->newPass();
			
			if ($resp['error'])
			{
				$this->view->assign('resp', $resp);
				
				$this->view->assign('include', 'user.changePass.tpl');
				$this->view->smarty();
			}
			else
			{
				$this->view->komunikat(i18n::PASSWD_ZMIENIONE, 'green', ROOT . '/zadania');
			}
		}
		else
		{
			$this->view->komunikat(i18n::NIE_ZALOGOWANY, 'red', ROOT . '/user');
		}
	}

	

	function edit ()
	{
		$out = array();
		
		$out = $this->model->edit();
		// print_r($out);die();
		
		if ($out['redirect'])
		{
			$this->view->komunikat(i18n::NIE_ZALOGOWANY, 'red', $out['redirect']);
		}
		elseif (count($out['error']) > 0)
		{
			$this->view->assign('action', 'edit');
			$this->view->assign('error', $out['error']);
			$this->view->assign('values', $out['val']);
			$this->view->assign('include', 'user.register.tpl');
			$this->view->smarty();
		}
		else
		{
			// die();
			$this->view->komunikat(i18n::DANE_ZMIENIONE, 'green', 'user');
		}
	}
	
	// ///////////////////////////////////////////////////////////////////////
	function newUser ()
	{
		$out = array();
		
		//$out = $this->model->newUser();
		
		if ($out['redirect'])
		{
			$this->view->komunikat('Jesteś już zalogowany', 'green', $out['redirect']);
		}
		else
		{
			
			if (isset($out['error']))
			{
				// print_r(count($out['error']));
				$this->view->assign('action', 'newUser');
				$this->view->assign('error', $out['error']);
				$this->view->assign('values', $out['val']);
				$this->view->assign('include', 'user.register.tpl');
				$this->view->smarty();
			}
			else
			{
				$this->view->komunikat(i18n::DOKONCZ_REJESTRACJE);
			}
		}
	}

	function login ()
	{
		$check = Factory::getInstance('logowanie')->check();
		if (!$check)
		{
			$this->view->assign('include', 'user.loginForm.tpl');
			$this->view->smarty();
		}
		else
		{
			$this->view->komunikat(i18n::ZALOGOWANY, 'green', ROOT . '/zadania');
		}
	}

	function forget ()
	{
		$this->view->assign('include', 'user.forgetForm.tpl');
		$this->view->smarty();
	}

	function forgetSend ()
	{
		$ret = $this->model->forgetSend();
		
		if ($ret['error'])
			$this->view->komunikat($ret['error'], 'red', ROOT . '/user');
		else
			$this->view->komunikat($ret['ok']);
	}

	function resetPass ()
	{
		$ret = $this->model->resetPass();
		if ($ret['error'])
			$this->view->komunikat($ret['error'], 'red', ROOT . '/user');
		else
			$this->view->komunikat($ret['ok'], 'green', ROOT . '/user');
	}

	function zaloguj ()
	{
		$zaloguj = $this->model->zaloguj();
		// print_r($_POST);die();
		if ($zaloguj['redirect'])
		{
			$this->view->komunikat(i18n::WITAJ, 'green', ROOT . '/zadania');
		}
		else
			$this->view->komunikat(i18n::NIE_POPRAWNY_LOGIN, 'red', ROOT.'/user,login');
	}

	function details ()
	{
		$this->view->assign('info', $this->model->details());
		$this->view->assign('include', 'user.info.tpl');
		$this->view->smarty();
	}

	function listaUser ()
	{
		$this->view->assign('lista', $this->model->listaUser());
		
		$this->view->assign('include', $_GET['controller'] . '.listUser.tpl');
		$this->view->smarty();
	}

	function detailsSlug ()
	{
		$this->view->assign('info', $this->model->detailsSlug());
		$this->view->assign('include', 'user.info.tpl');
		$this->view->smarty();
	}

	function activate ()
	{
		$ret = $this->model->activate();
		if ($ret['error'])
			$this->view->komunikat($ret['error'], 'red', 'user');
		else
			$this->view->komunikat($ret['ok'], 'green', 'user');
	}

	function del ()
	{
		$ret = $this->model->del();
		if ($ret['error'])
			$this->view->komunikat($ret['error'], 'red');
		else
			$this->view->komunikat($ret['ok'], 'red');
	}
}

?>